<#-- 按类型绘制 -->
<#macro renderByDetailType panelDetail>
    <#if panelDetail.getItemType()?? && panelDetail.getItemType() == "CONTAINER">
    <#-- 边缘布局 -->
    <#if panelDetail.getPSLayout().getLayout()?? && panelDetail.getPSLayout().getLayout() == "BORDER" >
    <app-scroll-container name="${panelDetail.getName()}" :layoutModelDetails="layoutModelDetails">
    <#if panelDetail.getPSPanelItems()??>
        <#list panelDetail.getPSPanelItems() as panelItem>
        <template #${panelItem.getName()}>
        <@renderByDetailType panelItem />
        </template>
        </#list>
    </#if>
    </app-scroll-container>
    <#else>

    </#if>
    <#elseif panelDetail.getItemType()?? && panelDetail.getItemType() == "TABPAGE">
    <span>分页部件</span>
    <#elseif panelDetail.getItemType()?? && panelDetail.getItemType() == "TABPANEL">
    <span>分组容器</span>
    <#elseif panelDetail.getItemType()?? && panelDetail.getItemType() == "FIELD">
    <span>属性项</span>
    <#elseif panelDetail.getItemType()?? && panelDetail.getItemType() == "RAWITEM">
    <span>直接内容</span>
    <#elseif panelDetail.getItemType()?? && panelDetail.getItemType() == "BUTTON">
    <span>按钮</span>
    <#elseif panelDetail.getItemType()?? && panelDetail.getItemType() == "CTRLPOS">
    <span>部件占位</span>
    <#elseif panelDetail.getItemType()?? && panelDetail.getItemType() == "USERCONTROL">
    <span>用户自定义控件</span>
    <#else>
    <span>${panelDetail.getItemType()}暂未支持</span>
    </#if>
</#macro>

